ElectricSheep(1)

NAME
electricsheep - a distributed screen-saver (version 2.6.4)

SYNOPSIS
electricsheep [--nick name] [--url url] [--nrepeats N] [--max-repeats N] [--frame-rate N] [--nthreads N] [--server host/path] [--display-anim 0/1] [--standalone 0/1] [--save-dir path] [--reset-fuse N] [--history N] [--nice N] [--proxy URL] [--proxy-user user:password] [--timeout N] [--start-sheep N] [--root 0/1] [--voting 0/1] [--anim-only 0/1] [--debug 0/1] [--player program] [--mplayer 0/1] [--zoom 0/1] [--player program] [-window-id id] [--bracket-begin date/id] [--bracket-end date/id] [--data-dir dir] [--logfile file]

DESCRIPTION
The Electric Sheep screen-saver realizes the collective dream of sleeping computers from all over the internet. When the software is activated the screen goes black and an animated, abstract sheep appears. In parallel, the screen-saver contacts a server and joins the distributed computation of new sheep. The screen-saver is a window into a visual space shared among all users. Clients render JPEG frames and upload them to the server. When all the frames are ready the server compresses them into MPEG. The clients download the MPEG sheep and display them one after another in a continuous, ever-changing sequence. The first time you run it, it should take 5 to 10 minutes before the first sheep is downloaded and displayed. After that, it should come up immediately. This module requires a high-bandwidth, always-on connection to the internet such as DSL or cable-modem. See http://electricsheep.org for more information.

OPTIONS

--anim-only 0/1
    If 1 then do not clear the background and display the logo. The default is 0.

--bracket-begin date/id
    Play no sheep before this one or this time.

--bracket-end date/id
    Play no sheep after this one or this time.

--data-dir dir
    Set the directory to find splash images and other data files.

--debug 0/1
    If 1 then print copious debug information. The default is 0.

--display-anim 0/1
    If 1 then display the animated sheep, if 0 then do not. Not displaying the sheep allows one to contribute rendering more rendering cycles because no CPU time is spent on display. It also allows one to run on a computer without an X display at all. The default is 1.

--frame-rate N
    Specify the frame-rate for sheep display in frames per second. The default is 23. If your client is having trouble completing frames because it is spending all its CPU time in the display process then decreasing this might help. Or increase it if you have extra CPU for smoother display.

--history N
    Set the number of sheep of history to keep. Sheep in the history are not repeated if possible. The history is written to a file named "id" in the .sheep directory, with one sheep id per line, with the most recent one first. The default history length is 30.

--logfile file
    Write errors and diagnostics to this file instead of stderr and stdout.

--max-megabytes N
    Specify the maximum number of megabytes of disk storage to use to store sheep (in the directory specified with --save-dir). The default is 1000. Zero (0) means there is no maximum.

--max-repeats N
    Maximum number of times to repeat any sheep. The default is 3.

--mplayer 0/1
    If 1 then use MPlayer (http://mplayerhq.hu) instead of the built-in mpeg decoder. The default is 0.

--min-megabytes N
    Specify the minimum number of megabytes of disk storage to leave free. The default is 1000. Zero (0) means there is no minimum.

--nice N
    Specify the priority adjustment for render process and all non-display processes. The default is 10. Note that xscreensaver normally nices the sheep process by 10 already.

--nick name
    Specify a nickname. The server keeps credits the frames according to nickname and ranks nicknames according to who contributes the most.

--nrepeats N
    Number of times to repeat each sheep. The default is 2. Transitions between sheep are not repeated.

--nthreads N
    Specify the number of rendering threads. By default there is one (1).

--player program
    Specify a program to display the sheep. The default is mpeg2dec_onroot.

--proxy URL
    Specify a proxy as per curl(1).

--proxy-user user:password
    Specify a proxy user and password as per curl(1).

--reset-fuse N
    Specify the maximum number of sheep to display in continuous fasion before resetting and displaying a random sheep. The default is 300.

--root 0/1
    If 1 then display on the root window. The default is 0 and to display in a new window.

--save-dir path
    Specifies a directory to save the sheep in. The default is ~/.sheep.

--server host/path
    Specify the server to connect to. Do not include the leading "http://" or a trailing slash.

--standalone 0/1
    If 1 then run without connecting to the internet at all, just displays the sheep already downloaded and do no rendering. The default is 0.

--start-sheep N
    Specify the ID of the sheep to display first. The default is to display a random sheep.

--timeout N
    Specify the timeout in seconds for server operations. The default is 401.

--tryagain N
    Specify the time in seconds to wait before retrying to contact the server. The default is 696.

--url name
    Specify a vanity URL to go with with the nickname.

--voting 0/1
    If 1 then enable the voting interface. This requires a hacked version of xscreensaver as described in the README in the source distribution. The default is 1.

-window-id X
    Specify in hex the window ID to draw into. Note the single leading dash (this option's syntax is required by xscreensaver). The default is to display in a new window. If both --root and -window-id are specified then -window-id takes precedence.

--zoom 0/1
    Zoom the sheep to fill the screen. The default is 0.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
X(1), xscreensaver(1), http://electricsheep.org, http://flam3.com

AUTHOR
spot aka Scott Draves